[arch-commits] Commit in libopensync/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Thu Aug 28 15:32:16 EDT 2008


    Date: Thursday, August 28, 2008 @ 15:32:15
  Author: pierre
Revision: 10395

Merged revisions 1072-10394 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libopensync/trunk

........
  r10394 | pierre | 2008-08-28 19:31:46 +0000 (Do, 28 Aug 2008) | 1 line
  
  upgpkg: libopensync 0.37-1
........

Modified:
  libopensync/repos/extra-x86_64/	(properties)
  libopensync/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++------------------
 1 file changed, 10 insertions(+), 18 deletions(-)


Property changes on: libopensync/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /libopensync/trunk:1-1071
   + /libopensync/trunk:1-10394

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-28 19:31:46 UTC (rev 10394)
+++ extra-x86_64/PKGBUILD	2008-08-28 19:32:15 UTC (rev 10395)
@@ -3,32 +3,24 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=libopensync
-pkgver=0.22
+pkgver=0.37
 pkgrel=1
 pkgdesc="Library for OpenSync Standardized Synchronization Framework"
 arch=('i686' 'x86_64')
 url="http://www.opensync.org"
 options=('!libtool')
 license="LGPL"
-# needed for >=0.22
-# makedepends=('python' 'cmake')
-makedepends=('swig' 'guile' 'python')
-depends=('glib2' 'libxml2' 'sqlite3')
-source=(http://www.opensync.org/download/releases/0.22/libopensync-$pkgver.tar.bz2)
-force=y
+makedepends=('python' 'cmake')
+depends=('glib2' 'libxslt' 'sqlite3')
+source=(http://www.opensync.org/download/releases/$pkgver/libopensync-$pkgver.tar.bz2)
+md5sums=('5b99caaf15d878719f9135713f63ebc5')
 
 build() {
-  # start building, for >= 0.22!
-  #cd $startdir/src/
-  #mkdir build 
-  #cd build
-  #cmake ../$pkgname-$pkgver -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+  cd $startdir/src/
+  mkdir build 
+  cd build
+  cmake ../$pkgname-$pkgver -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
 
-  #make VERBOSE=1 || return 1
-  #make DESTDIR=$startdir/pkg install || return 1
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
-  make || return 1
+  make VERBOSE=1 || return 1
   make DESTDIR=$startdir/pkg install || return 1
 }
-md5sums=('f563ce2543312937a9afb4f8445ef932')




More information about the arch-commits mailing list